Task Groups
Create, update, and delete task groups within a project.
|
Endpoints
| POST | /api/v1/project/projects/{id}/groups | Create a task group |
| PATCH | /api/v1/project/projects/{id}/groups/{gid} | Update a task group |
| DELETE | /api/v1/project/projects/{id}/groups/{gid} | Delete a task group |
POST
/api/v1/project/projects/{id}/groupsCreate a task group
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
Code Examples
curl -X POST "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/groups" \
-H "Cookie: better-auth.session_token=<token>"PATCH
/api/v1/project/projects/{id}/groups/{gid}Update a task group
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
gid | string | Optional | Task group ID |
Code Examples
curl -X PATCH "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/groups/grp_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"DELETE
/api/v1/project/projects/{id}/groups/{gid}Delete a task group
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
gid | string | Optional | Task group ID |
Code Examples
curl -X DELETE "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/groups/grp_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"